@ MatAd==========Increments iValue by iInc.
@ C Function prototype: int MatAd(int iValue, int iInc);
@ iValue:{0-0x0fffffff}
@ iInc:{0-0x0fffffff}
@ Description of Function: Increments iValue by iInc.
@ User interface: Set iValue to the value to be squared.
@       iValue must be normalised so that 0x0fffffff is full scale.
@       Call MatPe().
@       Returns iValue*iValue normalised so that 0x0fffffff is full scale.
@ Robustness:  Works for positive iValue only.
@ Side effects: None known.

.include        "ADuC7020.equ"
.ARM

.GLOBAL MatAd
MatAd:  adds    r0,r0,r1                @r0 += r1;
        orrmi   r0,r0,#0x0f0000000      @Negative overflow.
        andpl   r0,r0,#0x00fffffff      @Positive overflow.
        bx      lr                      @Return.
